cache:
  paths:
    - .m2/

stages:
  - test
  - mvn_deploy

sast:
 stage: test
 variables:
   SAST_EXCLUDED_ANALYZERS: bandit, brakeman, eslint, flawfinder, gosec, kubesec, nodejs-scan, phpcs-security-audit, pmd-apex, security-code-scan, sobelow

# need to replicate https://github.com/jenkins-infra/github-reusable-workflows/blob/main/.github/workflows/maven-cd.yml
# Skipping test for now.
# https://github.com/jenkins-infra/jenkins-maven-cd-action
mvn_deploy:
  stage: mvn_deploy
  image: maven:3.3.9-jdk-8
  script:
    - mvn -B -V -U -s ci_settings.xml -Dstyle.color=always -Pquick-build clean deploy
    #- mvn -B -V -s $GITHUB_ACTION_PATH/settings.xml -ntp -Dstyle.color=always -Dset.changelist -DaltDeploymentRepository=maven.jenkins-ci.org::default::https://repo.jenkins-ci.org/releases/ -Pquick-build -P\!consume-incrementals clean deploy

include:
 - template: Security/Dependency-Scanning.gitlab-ci.yml  # https://gitlab.com/gitlab-org/gitlab-foss/blob/master/lib/gitlab/ci/templates/Security/Dependency-Scanning.gitlab-ci.yml
 - template: Security/License-Scanning.gitlab-ci.yml  # https://gitlab.com/gitlab-org/gitlab-foss/blob/master/lib/gitlab/ci/templates/Security/License-Scanning.gitlab-ci.yml
 - template: Security/SAST.gitlab-ci.yml  # https://gitlab.com/gitlab-org/gitlab-foss/blob/master/lib/gitlab/ci/templates/Security/SAST.gitlab-ci.yml

